//  Create Collision Mask, 1x2 pixel rectangle
var buff = buffer_create(8,buffer_fixed,1);
buffer_write(buff, buffer_u32, $FFFFFFFF);
buffer_write(buff, buffer_u32, $FFFFFFFF);
var surf = surface_create(1,2);
buffer_set_surface(buff, surf, 0, 0, 1);
sprite = sprite_create_from_surface(surf, 0, 0, 1, 2, false, false, 0, 0);
sprite_set_offset(sprite, 1, 1);
sprite_collision_mask(sprite, false, 0, 0, 0, 0, 1, bboxkind_precise, 0);
surface_free(surf);
buffer_delete(buff);

//  Set Collision Mask
sprite_index = sprite;
mask_index = sprite;

//  Set Collision Shape
cone_radius = 150;
cone_direction = 0;
cone_angle = 45;

//  Create Instance to Test Collision
for (var i=4; i<=512; i+=8) {
    for (var j=4; j<=384; j+=8) {
        instance_create_layer(i, j, "Instances", object1);
    }
}