cone_angle = 180 * mouse_x / room_width;

image_xscale = cone_radius;
image_yscale = cone_radius;

var dir = cone_direction;
var ang = 90 - cone_angle / 2;

with (object1) {
    //  Circle Set
    image_blend = c_white;
    image_blend &= collision_circle(other.x, other.y, other.image_xscale, id, true, false) ? $FFFFFF : $777777;
    //  Plane Set 1
    other.image_angle = dir - ang;
    image_blend &= place_meeting(x, y, other.id) ? $FF33FF : $FFFFFF;
    //  Plane Set 2
    other.image_angle = dir + ang;
    image_blend &= place_meeting(x, y, other.id) ? $FFFF33 : $FFFFFF;
}

cone_direction += 1;
